<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>everything work out in the end</title>
</head>
<body>
<h1>Hello World because I love stereotypes</h1>
<select name="country" id="countrySelect" aria-label="country">Country</select>
<select name="city" id="citySelect" aria-label="city">City</select>
<script>
    let newOption = function (someValue) {
        let optn = document.createElement("option");
        optn.setAttribute("value", someValue);
        optn.append(someValue);
        return optn;
    }
    fetch("https://raw.githubusercontent.com/russ666/all-countries-and-cities-json/master/countries.json")
    .then((res) => res.json())
    .then((data) => {
        console.log(data);
        for (let country in data) countrySelect.append(newOption(country));

        countrySelect.onchange = () => {
            citySelect.innerHTML = "";
            for (let city of data[countrySelect.value]) citySelect.append(newOption(city));
        };
        countrySelect.onchange();
    });
    console.log(1);

</script>
</body>
</html>
